(TeX-add-style-hook
 "root"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ieeeconf" "letterpaper" "10pt" "conference")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("overpic" "percent")))
   (TeX-run-style-hooks
    "latex2e"
    "ieeeconf"
    "ieeeconf10"
    "graphicx"
    "amssymb"
    "mathtools"
    "cite"
    "overpic"
    "subcaption"
    "float"
    "subfloat")
   (TeX-add-symbols
    '("blfootnote" 1)
    "numberthis"
    "rpm"
    "rmp"
    "ie"
    "bettxl"
    "bettaxl"
    "bettaxlin"
    "xl"
    "B"
    "Up"
    "Um"
    "T"
    "Lin"
    "fp"
    "fpp"
    "uto"
    "fto"
    "w"
    "sgn"
    "sat"
    "ubmm"
    "ubm"
    "ubp"
    "Xe")
   (LaTeX-add-labels
    "sec:ptos-previous"
    "eqn:eom1"
    "eqn:bddu"
    "eqn:uto"
    "eqn:fto"
    "sec:fp"
    "eqn:uptosfirst"
    "eqn:fptos"
    "eqn:cont"
    "eqn:contdiff"
    "eqn:taylor"
    "eqn:ktwo"
    "eq:flin"
    "eq:fnonlin"
    "fig:ptoscon"
    "thm:ptoswstable"
    "sec:refto"
    "eqn:error-eom"
    "eqn:umax"
    "eqn:umin"
    "eqn:ftoparametric"
    "fig:fto_errcoords"
    "fig:blockTimeOpt"
    "eqn:uref"
    "eqn:sgnbeta"
    "sec:refptos"
    "eqn:xelllam1"
    "eqn:xelllam2"
    "eqn:satbeta"
    "eqn:upref"
    "sec:stability_ref"
    "eqn:udot"
    "fig:udot"
    "eqn:Vx"
    "sec:results_track"
    "fig:lrc"
    "eqn:lrcplant"
    "fig:expREF_timeseries"
    "fig:expresultsREF"
    "sec:conclusions")
   (LaTeX-add-environments
    "lemma"
    "thm"
    "prlm")
   (LaTeX-add-bibliographies)))

