%  function fp = fptosref(x1e, ptosParams)
function fp = fptosref(x1e, ptosParams)
%#codegen
xell_min  = ptosParams.xell_min;
xell_plus = ptosParams.xell_plus;
k2_min    = ptosParams.k2_min;
k2_plus   = ptosParams.k2_plus;
Mmin      = ptosParams.Mmin;
cbar_min  = ptosParams.cbar_min;
cbar_plus = ptosParams.cbar_plus;
w         = ptosParams.w;

if (x1e < -abs(xell_min))
   fp =  w*sqrt(2*cbar_min*abs(x1e) -x1e.^2) - 1/k2_min;
elseif(x1e > -abs(xell_min) && x1e < xell_plus );
    fp   = -Mmin*x1e;
else (x1e >= xell_plus);
    fp = -w*sqrt(2*cbar_plus*x1e -x1e.^2) + 1/k2_plus;
end


fp = fp;