% This archive contains all code necessary to generate all results and
% figures in 
% R. A. Braker and L. Y. Pao, “Proximate time-optimal reference tracking
% of an undamped harmonic oscillator,” in Proc. American Control Conf.,
% July 2016, pp. 6221–6226
%
%
% Before running these files, add local_fcns to your path.
%
% The figures are generated as:
%
% Fig 1: fig1_motivate_ptos.m
%
% Fig 2:
% 
% Fig 3: Human generated, no matlab script.
%
% Fig 4: fig4_ptosref_udot.m
%
% Fig 5: Human generated, no matlab script.

% Fig 6: fig6_7_plotdata_REF.m
% Fig 7: fig6_7_plotdata_REF.m
%
% Figs 6 & 7 depend on labview code to run the experiment 
% and an LRC circuit. This code still needs to be added to 
% the archive. The plots use data saved from the 
% labview experiment into a .csv file in the data folder.
%
% TODO: Add LabView code to archive
